# osgUtil::Simplifier::ContinueSimplificationCallback Class Reference

Inheritance diagram for osgUtil::Simplifier::ContinueSimplificationCallback:

[legend]
List of all members.

## Public Member Functions

virtual bool | continueSimplification (const Simplifier &simplifier, float nextError, unsigned int numOriginalPrimitives, unsigned int numRemainingPrimitives) const
| return true if mesh should be continued to be simplified, return false to stop simplification.

## Protected Member Functions

virtual | ~ContinueSimplificationCallback ()

## Constructor & Destructor Documentation

virtual osgUtil::Simplifier::ContinueSimplificationCallback::~ContinueSimplificationCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual bool osgUtil::Simplifier::ContinueSimplificationCallback::continueSimplification | ( | const Simplifier & | simplifier,
|  | float | nextError,
|  | unsigned int | numOriginalPrimitives,
|  | unsigned int | numRemainingPrimitives
| ) | const`[inline, virtual]`

| return true if mesh should be continued to be simplified, return false to stop simplification.

The documentation for this class was generated from the following file:

- Simplifier